org.keycloak.models.entities

## Class AuthenticationFlowEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.AuthenticationFlowEntity

-     public class AuthenticationFlowEntity
      extends AbstractIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `alias`
    `protected boolean` | `builtIn`
    `protected String` | `description`
    `protected String` | `providerId`
    `protected boolean` | `topLevel`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFlowEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `String` | `getDescription()`
    `List<AuthenticationExecutionEntity>` | `getExecutions()`
    `String` | `getProviderId()`
    `boolean` | `isBuiltIn()`
    `boolean` | `isTopLevel()`
    `void` | `setAlias(String alias)`
    `void` | `setBuiltIn(boolean builtIn)`
    `void` | `setDescription(String description)`
    `void` | `setExecutions(List<AuthenticationExecutionEntity> executions)`
    `void` | `setProviderId(String providerId)`
    `void` | `setTopLevel(boolean topLevel)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alias

          protected String alias

    - #### description

          protected String description

    - #### providerId

          protected String providerId

    - #### topLevel

          protected boolean topLevel

    - #### builtIn

          protected boolean builtIn

  - ### Constructor Detail

    - #### AuthenticationFlowEntity

          public AuthenticationFlowEntity()

  - ### Method Detail

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getExecutions

          public List<AuthenticationExecutionEntity> getExecutions()

    - #### setExecutions

          public void setExecutions(List<AuthenticationExecutionEntity> executions)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### isTopLevel

          public boolean isTopLevel()

    - #### setTopLevel

          public void setTopLevel(boolean topLevel)

    - #### isBuiltIn

          public boolean isBuiltIn()

    - #### setBuiltIn

          public void setBuiltIn(boolean builtIn)

Copyright © 2016 JBoss by Red Hat. All rights reserved.